import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { MainIndexPageComponent } from './components/main-index.page.component';

const routes: Routes = [
  { path: '', redirectTo: 'index' },
  { path: 'index', component: MainIndexPageComponent }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class MainRoutingPageModule {}
