import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { UserListPageComponent } from './components/user-list.page.component';
import { UserDetailPageComponent } from './components/user-detail.page.component';

const routes: Routes = [
  { path: 'users', component: UserListPageComponent },
  { path: 'users/:id', component: UserDetailPageComponent },
  { path: 'users/:id/:handle', component: UserDetailPageComponent }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class UserRoutingPageModule {}
